Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_addrinfo Struct Reference

`#include <rubysocket.h>`

## Data Fields
struct addrinfo * | ai
int | allocated_by_malloc

## Detailed Description

Definition at line 281 of file rubysocket.h.

## Field Documentation

struct addrinfo* rb_addrinfo::ai

Definition at line 282 of file rubysocket.h.

Referenced by addrinfo_firstonly_new(), addrinfo_list_new(), addrinfo_mload(), init_addrinfo_getaddrinfo(), init_inetsock_internal(), ip_s_getaddress(), make_addrinfo(), make_hostent_internal(), rb_freeaddrinfo(), rb_getaddrinfo(), sock_s_getnameinfo(), sock_s_pack_sockaddr_in(), udp_bind(), udp_connect_internal(), and udp_send().

int rb_addrinfo::allocated_by_malloc

Definition at line 283 of file rubysocket.h.

Referenced by rb_freeaddrinfo(), and rb_getaddrinfo().

The documentation for this struct was generated from the following file:

- ext/socket/rubysocket.h